--- title: "Get server generation" slug: "ses-getsearchengineservergenerationlist" updated: 2026-09-17T09:50:01Z published: 2026-09-17T09:50:01Z canonical: "api.ncloud-docs.com/ses-getsearchengineservergenerationlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get server generation Available in VPC Get available hypervisor types and server generations. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/cluster/getSearchEngineServerGenerationList (Korea Region) | | GET | /api/sgn-v2/cluster/getSearchEngineServerGenerationList (Singapore Region) | | GET | /api/jpn-v2/cluster/getSearchEngineServerGenerationList (Japan Region) | ### Request headers For information about the headers common to all Search Engine Service APIs, see [Search Engine Service request headers](/docs/en/analytics-vpcsearchengine#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request example The request example is as follows: ``` curl --location --request GET 'https://vpcsearchengine.apigw.ntruss.com/api/v2/cluster/getSearchEngineServerGenerationList' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.searchEngineServerGenerationList` | Array | - | Server generation list: [searchEngineServerGenerationList](/docs/en/ses-getsearchengineservergenerationlist#searchEngineServerGenerationList) | | `requestId` | String | - | ID for the request - UUID format | #### `searchEngineServerGenerationList` The following describes `searchEngineServerGenerationList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `hypervisorCode` | String | - | Hypervisor code | | `generationCode` | String | - | Server generation code | ### Response status codes For response status codes common to all Search Engine Service APIs, see [Search Engine Service response status codes](/docs/en/analytics-vpcsearchengine#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "searchEngineServerGenerationList": [ { "hypervisorCode": "XEN", "generationCode": "G2" }, { "hypervisorCode": "KVM", "generationCode": "G3" } ] }, "requestId": "6ff186eb-****-****-****-dadfb31245eb" } ```